#!/usr/bin/env python
# -*- coding: UTF-8 -*-

""" Script pour la configuration d'une distrib xen """

import commands
import sys
import os

""" Remplis le fichier de config du domU avec le nom du noyau
Relecture du fichier /etc/xen/xen-* pour changer le nom du noyau et du ramdisk
A revoir plus tard
"""

if len(sys.argv) == 2 :
    distrib = sys.argv[1]
else:
    sys.exit("Usage : %s nom_du_module" % sys.argv[0])

if not os.path.isfile('/usr/share/eole/domu/conf/%s' % distrib):
    sys.exit('Pas de fichier de démarrage pour %s' % distrib)
ret = commands.getstatusoutput('apt-cache show linux-image-eolexen | grep "^Depends" | head -n1 | awk "{ print \$2 }"|sed "s/,//g" | sed -e "s/linux-image-//" | tr -d "[[:space:]]"')
if ret :
    ret, res = commands.getstatusoutput('sed -e "s:NOYAU:/boot/vmlinuz-%s:" -e "s:RAMDISK:/boot/initrd.img-%s:" /usr/share/eole/domu/conf/%s > /etc/xen/%s' % (ret[1], ret[1], distrib, distrib))
    if ret != 0 :
        print "\033[31mLa commande a echouee\033[0m"
        sys.exit(res)
    ret, res = commands.getstatusoutput('ln -sf /etc/xen/%s /etc/xen/auto' % distrib)
    if ret != 0 :
        print "\033[31mLe lien a echouee\033[0m"
        sys.exit(res)
else:
    sys.exit('Impossible de connaitre la version du noyau')
